SplObjectStorage::rewind
SplObjectStorage::setInfo
SplObjectStorage
PHP Manual

# SplObjectStorage::serialize

(PHP 5 >= 5.2.2)

SplObjectStorage::serialize — Serializes the storage

### Description

public string SplObjectStorage::serialize ( void )

Returns a string representation of the storage.

### Parameters

This function has no parameters.

### Return Values

A string representing the storage.

### Examples

Example #1 SplObjectStorage::serialize() example

`<?php
$s = new SplObjectStorage;
$o = new StdClass;
$s[$o] = "data";
echo $s->serialize()."\n";
?>`

The above example will output something similar to:

    x:i:1;O:8:"stdClass":0:{},s:4:"data";;m:a:0:{}

### See Also

- SplObjectStorage::unserialize() - Unserializes a storage from its string representation

SplObjectStorage::rewind
SplObjectStorage::setInfo
SplObjectStorage
PHP Manual